apiVersion: v1
kind: Secret
metadata:
  name: devsvc-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.devsvc.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.devsvc.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.devsvc.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.devsvc.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.devsvc.configs.mongodbName | b64enc | quote }}
  MONGODB_URI: {{ .Values.devsvc.configs.mongodbUri | b64enc | quote }}
  GITEA_TOKEN: {{ .Values.devsvc.configs.giteaToken | b64enc | quote }}
  GITEA_URL: {{ .Values.devsvc.configs.giteaUrl | b64enc | quote }}
  GITEA_DEPOT_ORGANIZATION: {{ .Values.devsvc.configs.giteaDepotOrganization | b64enc | quote }}
  CODE_DEPOT_HTTP_PORT: {{ .Values.devsvc.configs.codeDepotHttpPort | toString | b64enc }}
  CODE_DEPOT_SSH_PORT: {{ .Values.devsvc.configs.codeDepotSshPort | toString | b64enc }}
  CODE_DEPOT_DOMAIN_NAME: {{ .Values.devsvc.configs.codeDepotDomainName | b64enc | quote }}
  METRICS_ENABLED: {{ .Values.devsvc.configs.metricsEnabled | default false | toString | b64enc }}
  PROBES_ENABLED: {{ .Values.devsvc.configs.probesEnabled | default false | toString | b64enc }}
  LOG_BASE_PATH: {{ .Values.devsvc.configs.logBasePath | default "/app/log/devsvc" | b64enc | quote }}
  APPLICATION_ACTIVITY_LOG: {{ .Values.devsvc.configs.appName | default "devsvc" | printf "%s-application-activity" | b64enc | quote }}
  RABBITMQ_HOST: {{ .Values.devsvc.configs.rabbitmqHost | b64enc | quote }}
  RABBITMQ_PORT: {{ .Values.devsvc.configs.rabbitmqPort | toString | b64enc }}
  RABBITMQ_USERNAME: {{ .Values.devsvc.configs.rabbitmqUsername | b64enc | quote }}
  RABBITMQ_PASSWORD: {{ .Values.devsvc.configs.rabbitmqPassword | b64enc | quote }}
  RABBITMQ_VIRTUAL_HOST: {{ .Values.devsvc.configs.rabbitmqVirtualHost | b64enc | quote }}
  DEFAULT_GIT_USERNAME: {{ .Values.devsvc.configs.defaultGitUsername | b64enc | quote }}
  DEFAULT_GIT_PASSWORD: {{ .Values.devsvc.configs.defaultGitPassword | b64enc | quote }}
  DEVOPS_DOCKER_REGISTRY_URL: {{ .Values.devsvc.configs.devopsDockerRegistryUrl | b64enc | quote }}
  DEVOPS_DOCKER_REGISTRY_REPOSITORY_NAME: {{ .Values.devsvc.configs.devopsDockerRegistryRepositoryName | b64enc | quote }}
  DEVOPS_DOCKER_REGISTRY_USERNAME: {{ .Values.devsvc.configs.devopsDockerRegistryUsername | b64enc | quote }}
  DEVOPS_DOCKER_REGISTRY_PASSWORD: {{ .Values.devsvc.configs.devopsDockerRegistryPassword | b64enc | quote }}